# Queue

#### new Cesium.Queue()
Core/Queue.js 7

A queue that can enqueue items at the end, and dequeue items from the front.

### Members

#### readonly length : Number
Core/Queue.js 22

The length of the queue.

### Methods

#### clear()
Core/Queue.js 92

Remove all items from the queue.

#### contains(item)
Core/Queue.js 85

Check whether this queue contains the specified item.

Name | Type | Description
--- | --- | ---
`item` | * | The item to search for.

#### dequeue() → *
Core/Queue.js 44

Dequeues an item. Returns undefined if the queue is empty.

##### Returns:

The the dequeued item.

#### enqueue(item)
Core/Queue.js 34

Enqueues the specified item.

Name | Type | Description
--- | --- | ---
`item` | * | The item to enqueue.

#### peek() → *
Core/Queue.js 72

Returns the item at the front of the queue. Returns undefined if the queue is empty.

##### Returns:

The item at the front of the queue.

#### sort(compareFunction)
Core/Queue.js 101

Sort the items in the queue in-place.

Name | Type | Description
--- | --- | ---
`compareFunction` | Queue.Comparator | A function that defines the sort order.

### Type Definitions

#### Cesium.Queue.Comparator(a, b) → Number
Core/Queue.js 111

A function used to compare two items while sorting a queue.

Name | Type | Description
--- | --- | ---
`a` | * | An item in the array.
`b` | * | An item in the array.

##### Returns:

Returns a negative value if `a` is less than `b`, a positive value if `a` is greater than `b`, or 0 if `a` is equal to `b`.

##### Example:

    function compareNumbers(a, b) {
        return a - b;
    }